
From: Zwane Mwaikambo <zwane@arm.linux.org.uk>

Up to date I've been using the GS value to determine the processor number
in dumps from show_regs, however this can be cumbersome to do if you don't
have the vmlinux to verify with the address of cpu_pda, how about the
following?  I considered using hard_smp_processor_id for robustness but we
already dereference current so we're already relying on MSR_GS_BASE being
sane.

Signed-off-by: Zwane Mwaikambo <zwane@arm.linux.org.uk>
Cc: Andi Kleen <ak@muc.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/process.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/x86_64/kernel/process.c~x86_64-print-processor-number-in-show_regs arch/x86_64/kernel/process.c
--- devel/arch/x86_64/kernel/process.c~x86_64-print-processor-number-in-show_regs	2005-07-16 13:38:08.000000000 -0700
+++ devel-akpm/arch/x86_64/kernel/process.c	2005-07-16 13:38:08.000000000 -0700
@@ -310,6 +310,7 @@ void __show_regs(struct pt_regs * regs)
 
 void show_regs(struct pt_regs *regs)
 {
+	printk("CPU %d:", smp_processor_id());
 	__show_regs(regs);
 	show_trace(&regs->rsp);
 }
_
